Program Chris4;

Var
  Foo: set of Byte = [ 37, 42, 137, 200..220 ];
  Bar: packed array [ Byte ] of Boolean absolute Foo;
  i: Integer;
  okay: Boolean = true;

begin
  for i:= 0 to 255 do
    if Bar [ i ] <> ( i in [ 37, 42, 137, 200..220 ] ) then
      okay:= false;
  if okay then
    writeln ( 'OK' )
  else
    writeln ( 'failed' );
end.
